%define upstream_name    MediaWiki-API
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A OO interface to the Mediawiki API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MediaWiki/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module provides an interface between Perl and the MediaWiki API (https://www.mediawiki.org/wiki/API) allowing creation of scripts to automate editing and extraction of data from MediaWiki driven sites like Wikipedia.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.520.0-3.mga10
+ Revision: 2209586
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.520.0-2.mga9
+ Revision: 1820440
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 0.520.0-1.mga8
+ Revision: 1649417
- update to 0.52

* Mon Nov 23 2020 tv <tv> 0.510.0-1.mga8
+ Revision: 1648600
- update to 0.51

* Wed Feb 12 2020 umeabot <umeabot> 0.410.0-4.mga8
+ Revision: 1495599
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.410.0-3.mga7
+ Revision: 1269248
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 0.410.0-1.mga6
+ Revision: 903341
- new release

* Mon Jun 22 2015 sander85 <sander85> 0.400.0-1.mga6
+ Revision: 838626
- update to 0.40

* Sat Oct 18 2014 umeabot <umeabot> 0.390.0-6.mga5
+ Revision: 788009
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-5.mga5
+ Revision: 749896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.390.0-4.mga5
+ Revision: 685390
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.390.0-3.mga4
+ Revision: 512903
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 369689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 kharec <kharec> 0.390.0-1.mga3
+ Revision: 253298
- update to 0.39

* Sat Dec 03 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 175366
- imported package perl-MediaWiki-API


* Sat Dec 03 2011 cpan2dist 0.37-1mga
- initial mageia release, generated with cpan2dist
